# eric7.Plugins.PluginVcsPySvn

Module implementing the PySvn version control plugin.

### Global Attributes

author
autoactivate
className
deactivateable
error
longDescription
name
packageName
pluginType
pluginTypename
pyqtApi
shortDescription
subversionCfgPluginObject
version

### Classes

VcsPySvnPlugin | Class implementing the PySvn version control plugin.

### Functions

createConfigurationPage | Module function to create the configuration page.
displayString | Public function to get the display string.
exeDisplayData | Public method to support the display of some executable info.
getConfigData | Module function returning data as required by the configuration dialog.
getVcsSystemIndicator | Public function to get the indicators for this version control system.
prepareUninstall | Module function to prepare for an uninstallation.

## VcsPySvnPlugin

Class implementing the PySvn version control plugin.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

VcsPySvnPlugin | Constructor
activate | Public method to activate this plugin.
deactivate | Public method to deactivate this plugin.
getConfigPath | Public method to get the filename of the config file.
getPreferences | Public method to retrieve the various settings.
getProjectHelper | Public method to get a reference to the project helper object.
getServersPath | Public method to get the filename of the servers file.
initToolbar | Public slot to initialize the VCS toolbar.
prepareUninstall | Public method to prepare for an uninstallation.
prepareUnload | Public method to prepare for an unload.
setPreferences | Public method to store the various settings.

### Static Methods

None

#### VcsPySvnPlugin (Constructor)

VcsPySvnPlugin(ui)

Constructor

ui
  reference to the user interface object (UI.UserInterface)

#### VcsPySvnPlugin.activate

activate()

Public method to activate this plugin.

Return:
  tuple of reference to instantiated viewmanager and activation status (boolean)

#### VcsPySvnPlugin.deactivate

deactivate()

Public method to deactivate this plugin.

#### VcsPySvnPlugin.getConfigPath

getConfigPath()

Public method to get the filename of the config file.

Return:
  filename of the config file (string)

#### VcsPySvnPlugin.getPreferences

getPreferences(key)

Public method to retrieve the various settings.

key
  the key of the value to get

Return:
  the requested refactoring setting

#### VcsPySvnPlugin.getProjectHelper

getProjectHelper()

Public method to get a reference to the project helper object.

Return:
  reference to the project helper object

#### VcsPySvnPlugin.getServersPath

getServersPath()

Public method to get the filename of the servers file.

Return:
  filename of the servers file (string)

#### VcsPySvnPlugin.initToolbar

initToolbar(ui, toolbarManager)

Public slot to initialize the VCS toolbar.

ui
  reference to the main window (UserInterface)
toolbarManager
  reference to a toolbar manager object (EricToolBarManager)

#### VcsPySvnPlugin.prepareUninstall

prepareUninstall()

Public method to prepare for an uninstallation.

#### VcsPySvnPlugin.prepareUnload

prepareUnload()

Public method to prepare for an unload.

#### VcsPySvnPlugin.setPreferences

setPreferences(key, value)

Public method to store the various settings.

key
  the key of the setting to be set
value
  the value to be set

Up

## createConfigurationPage

createConfigurationPage(configDlg)

Module function to create the configuration page.

configDlg
  reference to the configuration dialog (QDialog)

Return:
  reference to the configuration page

Up

## displayString

displayString()

Public function to get the display string.

Return:
  display string (string)

Up

## exeDisplayData

exeDisplayData()

Public method to support the display of some executable info.

Return:
  dictionary containing the data to be shown

Up

## getConfigData

getConfigData()

Module function returning data as required by the configuration dialog.

Return:
  dictionary with key "zzz_subversionPage" containing the relevant data

Up

## getVcsSystemIndicator

getVcsSystemIndicator()

Public function to get the indicators for this version control system.

Return:
  dictionary with indicator as key and a tuple with the vcs name (string) and vcs display string (string)

Up

## prepareUninstall

prepareUninstall()

Module function to prepare for an uninstallation.

Up